# Partially updates a query delivery schedule with the specified ID. This method will patch an existing query delivery schedule with the specified ID, using the HTTP PATCH specification. Endpoint: PATCH /queryDeliverySchedules/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the query delivery schedule to patch. ## Request fields (application/json): - `op` (string, required) The operation Enum: "add", "copy", "move", "remove", "replace", "test" - `path` (string, required) The JSON path - `value` (string) The updated value ## Response 200 fields (application/json): - `application` (string, required) The application of the saved query - `context_id` (string) If applicable, the context of the saved query - `do_not_send_empty_results` (boolean) Dont send this email if there are no rows - `email` (object) The optional HTML body of the email - `email.bcc` (string) Anyone that should be bcc'ed on the email - `email.body` (string, required) The email body - `email.cc` (string) Anyone that should be cc'ed on the email - `email.from` (string) From email address - `email.from_name` (string) From name - `email.reply_to` (string) The reply to - `email.subject` (string, required) The email subject - `email_addresses` (array, required) The email addresses that should receive the schedule query - `end_date` (string) The end date of the delivery - `errors_since_last_run` (number) The number of errors that have occurred since the last successful run of this schedule - `human_readable_schedule` (string) A human readable schedule for display - `id` (string, required) The unique, string identifier of this query delivery schedule - `is_active` (boolean) Whether or not this query delivery schedule is active - `last_error` (string) The last error on this process - `last_error_date` (string) The last time this process encountered an error - `last_run_date` (string) The last time this process was run - `name` (string, required) The name of the query delivery schedule - `output_format` (string) The format for the report Enum: "csv", "excel", "excelUnformatted", "json" - `saved_query_id` (string, required) The saved query being run - `schedule` (string, required) The schedule which defines how often the batch should be created - `start_date` (string) The start date of the delivery - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_next_processing_date` (string) Internal system field, do not modify - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `type` (string, required) The query type ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields